package com.ssj.bean.weixin.libmy.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.util.Date;

/**
 * @author Admin
 * @className LibReadVip
 * @description 图书馆阅读会员信息类
 * @date 2020/4/14
 */
@Entity
@Table(name="tb_lib_read_vip")
public class LibReadVip extends BaseEntity {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 用户ID
     */
    private String userId;
    /**
     * 状态 1--有效 2--无效
     */
    private String stat;
    /**
     * 性别 1男2女
     */
    private String sex;
    /**
     * 用户激活时间
     */
    private Date activateTime;
    /**
     * 1，普通卡，5，尊尚卡
     */
    private Integer level;
    /**
     * 会员卡二维码地址
     */
    private String qrcodeUrl;
    /**
     * 家长姓名
     */
    private String parentName;
    /**
     * 小孩姓名（宝宝姓名）
     */
    private String childName;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 学校
     */
    private String school;
    /**
     * 头像
     */
    private String imgUrl;


    /**
     * vip由系统自动生成编号
     */
    private Integer flowId;
    /**
     * 生日
     */
    private Date birthday;
    /**
     * 年级
     */
    private String grade;
    /**
     * 家庭地址
     */
    private String family;

    /**
     * @date 2020/4/14 11:36
     * @author 微信
     * @param null
     * @return
     */
    private String cardCode;
    //性格标签
    private String tagsCharacter;
    //爱好标签
    private String tagsHabit;
    //家长角色：爸爸/妈妈/其他
    private String parentRole;

    private String orderUser; //预约的认证专员

    private Date orderTime;//预约时间

    @Column(updatable=false)
    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    public String getUserId() {
        return userId;
    }
    public void setUserId(String userId) {
        this.userId = userId;
    }
    public String getStat() {
        return stat;
    }
    public void setStat(String stat) {
        this.stat = stat;
    }
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    public Date getActivateTime() {
        return activateTime;
    }
    public void setActivateTime(Date activateTime) {
        this.activateTime = activateTime;
    }
    public String getSex() {
        return sex;
    }
    public void setSex(String sex) {
        this.sex = sex;
    }
    @Column(updatable =false)
    public Integer getLevel() {
        return level;
    }
    public void setLevel(Integer level) {
        this.level = level;
    }
    public String getQrcodeUrl() {
        return qrcodeUrl;
    }
    public void setQrcodeUrl(String qrcodeUrl) {
        this.qrcodeUrl = qrcodeUrl;
    }
    public String getParentName() {
        return parentName;
    }
    public void setParentName(String parentName) {
        this.parentName = parentName;
    }
    public String getChildName() {
        return childName;
    }
    public void setChildName(String childName) {
        this.childName = childName;
    }
    public String getPhone() {
        return phone;
    }
    public void setPhone(String phone) {
        this.phone = phone;
    }
    public String getSchool() {
        return school;
    }
    public void setSchool(String school) {
        this.school = school;
    }
    public String getImgUrl() {
        return imgUrl;
    }
    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    @GeneratedValue(strategy= GenerationType.AUTO)
    @Column(name = "flow_id",insertable =false, updatable=false, nullable=false)
    public Integer getFlowId() {
        return flowId;
    }
    public void setFlowId(Integer flowId) {
        this.flowId = flowId;
    }
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JSONField(format = "yyyy-MM-dd")
    public Date getBirthday() {
        return birthday;
    }
    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }
    public String getGrade() {
        return grade;
    }
    public void setGrade(String grade) {
        this.grade = grade;
    }
    public String getFamily() {
        return family;
    }
    public void setFamily(String family) {
        this.family = family;
    }
    public String getCardCode() {
        return cardCode;
    }
    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getTagsCharacter() {
        return tagsCharacter;
    }

    public void setTagsCharacter(String tagsCharacter) {
        this.tagsCharacter = tagsCharacter;
    }

    public String getTagsHabit() {
        return tagsHabit;
    }

    public void setTagsHabit(String tagsHabit) {
        this.tagsHabit = tagsHabit;
    }
    public String getParentRole() {
        return parentRole;
    }
    public void setParentRole(String parentRole) {
        this.parentRole = parentRole;
    }

    public String getOrderUser() {
        return orderUser;
    }

    public void setOrderUser(String orderUser) {
        this.orderUser = orderUser;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }
}
